--- /dev/null
+#!/bin/bash
+
+ls /srv/lib/
+for module in `ls /srv/lib/`; do
+ cd /srv/lib/$module
+ if [ -f 'requirements.txt' ]; then
+ pip install -r requirements.txt
+ else
+ python setup.py develop
+ fi
+done
-#!/bin/sh
+#!/bin/bash
+
+cd "$(dirname "$0")"/../../
cat doc/src/overview.rst doc/src/architecture.rst doc/src/install.rst doc/src/development.rst doc/src/maintenance.rst doc/src/copyright.rst doc/src/license.rst > README.rst
echo "Build finished. The README.rst file is up to date."
+++ /dev/null
-#!/bin/bash
-
-ls /srv/lib/
-for module in `ls /srv/lib/`; do
- cd /srv/lib/$module
- if [ -f 'requirements.txt' ]; then
- pip install -r requirements.txt
- else
- python setup.py develop
- fi
-done
sudo chown -R $USER var/media
sudo chown -R $USER var/backup
-# Update main project
-git pull
-
-# Update submodules
-./bin/dev/update_submodules.sh
+# Update main project and submodules
+./bin/dev/update.sh
# Restore database
if [ "$1" = "--restore-db" ]; then
--- /dev/null
+#!/bin/bash
+
+# The script detect the right main project branch, then update the submodule function of branch-[mainProjectBranch]
+# For example, if you define these variables in .gitmodules :
+# - branch-dev
+# - branch-master
+# If you are on dev branch in main project, the script will update submodule functions of branch-dev you've defined
+# In main project, if you are in another branch than master or dev, it will take by default dev branch
+# If you don't define any branches for you submodule, the script will update from master
+
+cd "$(dirname "$0")"/../../
+
+# Update main project
+git pull
+
+curr_branch=$(git symbolic-ref --short HEAD)
+
+echo $curr_branch
+if [ $curr_branch != "master" ] && [ $curr_branch != "dev" ];
+then
+ curr_branch="dev"
+fi
+
+function update_git_urls {
+ find ./ -type f \( -name ".gitmodules" -o -name "config" \) -exec sed -i $REGEX {} +
+}
+
+REGEX='s/https:\/\/github.com\//git@github.com:/g'
+update_git_urls
+
+# checkout new submodule
+git submodule update --init
+# Synchronizes submodules' remote URL configuration setting to the value specified in .gitmodules
+git submodule sync
+# Checkout all submodules on right branches specified in .gitmodules, by default the branch is master
+git submodule foreach --recursive 'git checkout $(git config -f $toplevel/.gitmodules submodule.$name.branch-'$curr_branch' || echo master)'
+# Pull all submodules on right branches specified in .gitmodules, by default the branch is master
+git submodule foreach --recursive 'git pull origin $(git config -f $toplevel/.gitmodules submodule.$name.branch-'$curr_branch' || echo master)'
+++ /dev/null
-#!/bin/bash
-
-# The script detect the right main project branch, then update the submodule function of branch-[mainProjectBranch]
-# For example, if you define these variables in .gitmodules :
-# - branch-dev
-# - branch-master
-# If you are on dev branch in main project, the script will update submodule functions of branch-dev you've defined
-# In main project, if you are in another branch than master or dev, it will take by default dev branch
-# If you don't define any branches for you submodule, the script will update from master
-
-curr_branch=$(git symbolic-ref --short HEAD)
-
-echo $curr_branch
-if [ $curr_branch != "master" ] && [ $curr_branch != "dev" ];
-then
- curr_branch="dev"
-fi
-
-function update_git_urls {
- find ./ -type f \( -name ".gitmodules" -o -name "config" \) -exec sed -i $REGEX {} +
-}
-
-REGEX='s/https:\/\/github.com\//git@github.com:/g'
-update_git_urls
-
-# checkout new submodule
-git submodule update --init
-# Synchronizes submodules' remote URL configuration setting to the value specified in .gitmodules
-git submodule sync
-# Checkout all submodules on right branches specified in .gitmodules, by default the branch is master
-git submodule foreach --recursive 'git checkout $(git config -f $toplevel/.gitmodules submodule.$name.branch-'$curr_branch' || echo master)'
-# Pull all submodules on right branches specified in .gitmodules, by default the branch is master
-git submodule foreach --recursive 'git pull origin $(git config -f $toplevel/.gitmodules submodule.$name.branch-'$curr_branch' || echo master)'
#!/bin/bash
+cd "$(dirname "$0")"/../../
+
echo "----------------------------"
echo `date +\%Y\%m\%d-\%H-\%M-\%S`
+
docker-compose run db /srv/bin/prod/backup_db.sh
+
cd var
+
git add .
git commit -a -m "update DB and media"
git pull
--- /dev/null
+#!/bin/bash
+
+# The script detect the right main project branch, then update the submodule function of branch-[mainProjectBranch]
+# For example, if you define these variables in .gitmodules :
+# - branch-dev
+# - branch-master
+# If you are on dev branch in main project, the script will update submodule functions of branch-dev you've defined
+# In main project, if you are in another branch than master or dev, it will take by default dev branch
+# If you don't define any branches for you submodule, the script will update from master
+
+cd "$(dirname "$0")"/../../
+
+# Update main project
+git pull
+
+curr_branch=$(git symbolic-ref --short HEAD)
+
+echo $curr_branch
+if [ $curr_branch != "master" ] && [ $curr_branch != "dev" ];
+then
+ curr_branch="dev"
+fi
+
+function update_git_urls {
+ find ./ -type f \( -name ".gitmodules" -o -name "config" \) -exec sed -i $REGEX {} +
+}
+
+REGEX='s/git@github.com:/https:\/\/github.com\//g'
+update_git_urls
+
+# checkout new submodule
+git submodule update --init
+# Synchronizes submodules' remote URL configuration setting to the value specified in .gitmodules
+git submodule sync
+# Checkout all submodules on right branches specified in .gitmodules, by default the branch is master
+git submodule foreach --recursive 'git checkout $(git config -f $toplevel/.gitmodules submodule.$name.branch-'$curr_branch' || echo master)'
+# Pull all submodules on right branches specified in .gitmodules, by default the branch is master
+git submodule foreach --recursive 'git pull origin $(git config -f $toplevel/.gitmodules submodule.$name.branch-'$curr_branch' || echo master)'
+++ /dev/null
-#!/bin/bash
-
-# The script detect the right main project branch, then update the submodule function of branch-[mainProjectBranch]
-# For example, if you define these variables in .gitmodules :
-# - branch-dev
-# - branch-master
-# If you are on dev branch in main project, the script will update submodule functions of branch-dev you've defined
-# In main project, if you are in another branch than master or dev, it will take by default dev branch
-# If you don't define any branches for you submodule, the script will update from master
-
-curr_branch=$(git symbolic-ref --short HEAD)
-
-echo $curr_branch
-if [ $curr_branch != "master" ] && [ $curr_branch != "dev" ];
-then
- curr_branch="dev"
-fi
-
-function update_git_urls {
- find ./ -type f \( -name ".gitmodules" -o -name "config" \) -exec sed -i $REGEX {} +
-}
-
-REGEX='s/git@github.com:/https:\/\/github.com\//g'
-update_git_urls
-
-# checkout new submodule
-git submodule update --init
-# Synchronizes submodules' remote URL configuration setting to the value specified in .gitmodules
-git submodule sync
-# Checkout all submodules on right branches specified in .gitmodules, by default the branch is master
-git submodule foreach --recursive 'git checkout $(git config -f $toplevel/.gitmodules submodule.$name.branch-'$curr_branch' || echo master)'
-# Pull all submodules on right branches specified in .gitmodules, by default the branch is master
-git submodule foreach --recursive 'git pull origin $(git config -f $toplevel/.gitmodules submodule.$name.branch-'$curr_branch' || echo master)'
cd "$(dirname "$0")"/../../
-# Update main project
-git pull
-
-# Update submodules
-./bin/update_submodules.sh
+# Update main project and submodules
+./bin/prod/update.sh
# Apply migrations
if [ "$1" = "--migrate" ]; then